Summary:	Library to pack up hard disk files and directories into a ISO 9660 disk image
Summary(pl.UTF-8):	Biblioteka do pakowania plików i katalogów w obrazy ISO 9660
Name:		libisofs
Version:	1.3.8
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	7fea3aa98038a90cec6a5779e0e05eb5
URL:		http://libburnia-project.org/
BuildRequires:	acl-devel
BuildRequires:	attr-devel
BuildRequires:	libjte-devel >= 1.0.0
BuildRequires:	zlib-devel
Requires:	libjte >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
libisofs is the library to pack up hard disk files and directories
into a ISO 9660 disk image.

%description -l pl.UTF-8
libisofs to biblioteka do pakowania plików i katalogów z twardego
dysku w obrazy ISO 9660.

%package devel
Summary:	Header files for libisofs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libisofs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	acl-devel
Requires:	attr-devel
Requires:	libjte-devel >= 1.0.0
Requires:	zlib-devel

%description devel
Header files for libisofs library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libisofs.

%package static
Summary:	Static libisofs library
Summary(pl.UTF-8):	Statyczna biblioteka libisofs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libisofs library.

%description static -l pl.UTF-8
Statyczna biblioteka libisofs.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# *.la kept, dependencies are missing in .pc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYRIGHT ChangeLog NEWS README Roadmap TODO
%attr(755,root,root) %{_libdir}/libisofs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libisofs.so.6

%files devel
%defattr(644,root,root,755)
%doc doc/Tutorial
%attr(755,root,root) %{_libdir}/libisofs.so
%{_libdir}/libisofs.la
%{_includedir}/libisofs
%{_pkgconfigdir}/libisofs-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libisofs.a
%changelog
* Fri Aug 01 2014 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libisofs.git;a=log;h=master

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> e41056c
- updated to 1.3.8

* Thu Mar 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 5a3ba9e
- updated to 1.3.6

* Sat Dec 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 0529b29
- updated to 1.3.4

* Mon Sep 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 38c2686
- updated to 1.3.2

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> fe2c8f4
- updated to 1.3.0

* Tue Mar 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 8094b10
- updated to 1.2.8

* Wed Jan 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 1f160c0
- updated to 1.2.6

* Sat Jul 21 2012 Łukasz Kieś <kiesiu@pld-linux.org> 89e5285
- updated to 1.2.4

* Tue Apr 03 2012 Łukasz Kieś <kiesiu@pld-linux.org> a1fa7f1
- updated to 1.2.2

* Mon Jan 30 2012 Łukasz Kieś <kiesiu@pld-linux.org> b41eb6d
- updated to 1.2.0

* Tue Oct 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 8f25c03
- updated to 1.1.6

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> a7cf4eb
- updated to 1.1.4

* Thu Jul 14 2011 Łukasz Kieś <kiesiu@pld-linux.org> 8e7a042
- updated to 1.1.2
- new URL

* Tue Jun 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 7d62c1a
- updated to 1.1.0

* Fri May 20 2011 marti <marti@pld-linux.org> 993464b
- up to 1.0.8

* Wed May 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ec334e
- release 2

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 4d81cb9
- updated to 1.0.6

* Fri Mar 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 95a4de0
- updated to 1.0.4

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> 84266d7
- Up to 1.0.2

* Mon Jan 17 2011 Jakub Bogusz <qboosh@pld-linux.org> e2a6ef9
- updated to 1.0.0

